NoScript Webext browser compatibility?

General discussion about the NoScript extension for Firefox
User avatar
therube
Ambassador
Posts: 7459
Joined: Thu Mar 19, 2009 4:17 pm
Location: Maryland USA

Re: NoScript Webext browser compatibility?

Post by therube » Wed Apr 10, 2019 11:14 pm

1. "regular" .xpi should work just as well, I'd think
2.
3.
4. is what i had tried yesterday, that didn't work

And still not now?

Code: Select all

Failed to load extension

File: C:\chromium\NOS
Error: Required value 'version' is missing or invalid. It must be between 1-4 dot-separated integers each between 0 and 65536.
Could not load manifest.
AFAIK, I'm doing as expected?


Maybe because I'm running sandboxed?

(Dragging an .xpi into the browser window seems much easier.)




Just loaded in, ublock_origin-1.17.4-an+fx.xpi.
(Wasn't particularly aware that it did it, as in no real notification, but it is there, & works.)

Now what am I doing wrong with NoScript?
Let me try the zip.

And that worked.
Why?
Oh, you mean to tell me that it is the "rc" in: "version": "10.6rc2" ?
Yep.

I guess you need to know the nuances...


(Funny how Chromium doesn't enable URLbar search by default. So I have to physically visit www.google.com & search on how to do it in order to do it, so that I can then search. Kind of like in old Windows, before you could install Netscape, you had to have a browser with which to download the browser. So you had to use IE - at least once, to do that.)
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball NoScript FlashGot AdblockPlus
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0 SeaMonkey/2.49.5

Post Reply